image: node:latest

pages:
  cache:
    paths:
    - node_modules/

  stage: deploy
  script:
  - npm install
  - npm run build
  - mkdir -p public
  - mv dist/sorting-visualizer/* public/
  artifacts:
    paths:
    - public
  only:
  - main